[Rubyinstaller-devel] RE: [FR-users] Fw: Debuggering on Windows

Curt Hibbs curt at curthibbs.us
Thu Feb 19 22:23:05 EST 2004

This is

Mark Watson wrote:
> I sent this to development list, but it didn't show up:

I'm not sure why, but I am re-posting this to the developer's list.

> > This is a bit strange.  When I run FreeRide with my local
> version of ruby
> > the debugger works without any problems!?  Has anyone else seen this?

Whoo hoo... this is fantastic news! I am the one who (long ago) took on the
task of getting the debugger to work under windows. I haven't had much luck
(and lately not much time).

It looks like whatever the problem was has been fixed in 1.8.1 (FreeRIDE
normally runs itself with a private copy of 1.8.0).

> > I'm running ruby 1.8.1 compiled with visual c++ 7.1.  Both FreeRide and
> > the scripts I'm debugging are using my local ruby version.  The pragprog
> > version of 1.8.1 does *not* work, persumably because its compiled with
> > vc++ 6.0 or something.

It turns out that I am also one of the guys who volunteered to help out with
the pragprog rubyinstaller, and the recently released 1.8.1 is not entirely
correct -- parts of it may have inadvertently compiled with cygwin.

So, its not entirely surprising that that the debugger still does not work
using the 1.8.1 rubyinstaller version. Given this, it might actually work
with 1.8.1 that is built with vc++ 6.0. Of course, your guess about vc++ 7.1
could turn out to be correct as well.

I will play around with it this weekend and see if I can determine the true
reason -- and finally release a windows version of FreeRIDE with a working

Thank you, thank you, thank you,



More information about the Rubyinstaller-devel mailing list